OSSIM-HLZ(1)

NAME
ossim-hlz - ossim-hlz

SYNOPSIS
ossim-hlz [options] <output-image>

DESCRIPTION
Command: ossim-hlz

OPTIONS

--dem <filename>
    Specifies the input DEM filename to use for level-1 processing. If none provided, the elevation database is referenced as specified in prefs file for the ROI specified.

--disable-elev
    Will disable the elevation

--disable-notify
    Takes an argument. Arguments are ALL, WARN, NOTICE, INFO, FATAL, DEBUG. If you want multiple disables then just do multiple --disable-notify on the command line. All argument are case insensitive. Default is all are enabled.

--disable-plugin
    Will disable the plugin loader

--gsd <meters>
    Specifies output GSD in meters. Defaults to the same resolution as best input DEM. Alternatively, if a DEM file is specified, the product GSD defaults to the input DEM's GSD.

--ls-fit
    Slope is computed via an LS fit to a plane instead of the default slope computation using differences to compute normal vector.

--lut <filename>
    Specifies the optional lookup table filename for mapping the single-band output image to an RGB. The LUT provided must be in the ossimIndexToRgbLutFilter format and must handle the discrete output values (see --values option).

--mask <filename>
    Either a Keyword-list file or raster image. The KWL file can contain multiple mask files and how to interpret them, i.e., whether non-null pixels define exclusion zones (cannot land inside) or inclusion (must land inside). A single mask raster image is assumed to represent exclusion zones.

--ossim-logfile
    takes a logfile as an argument. All output messages are redirected to the specified log file. By default there is no log file and all messages are enabled.

--output-slope <filename.tif>
    Generates a slope byproduct image (floating point degrees) to the specified filename. Only valid if normal-vector method used (i.e., --ls-fit option NOT specified)

--pc | --point-cloud <filename>
    Specifies ancillary point-cloud data file for level-2 search for obstructions.

--request-api
    Causes applications API to be output as JSON to stdout. Accepts optional filename to store JSON output.

--reticle <int>
    Specifies the size of the reticle at the destination point location in pixels from the center (i.e., the radius of the reticle). Defaults to 10. A value of 0 hides the reticle. See --values option for setting reticle color.

--rlz <meters>
    Specifies minimum radius of landing zone. Defaults to 25 m.

--roi <meters>
    radius of interest surrounding the destination point. If absent, the product defaults to 1024 x 1024 pixels, with a radius of 512 * GSD. Alternatively, if a DEM file is specified, the product ROI defaults to the full DEM coverage.

--roughness <meters>
    Specifies the terrain roughness threshold (meters). This is the maximum deviation from a flat plane permitted. Defaults to 0.5 m. Valid only with --ls-fit specified.

--simulation
    For engineering/debug purposes

--size <int>
    Instead of a radius of interest, directly specifies the dimensions of the output product in pixels (output is square). Required unless --roi is specified and/or an inout DEM is specified.

--slope <degrees>
    Threshold for acceptable landing zone terrain slope. Defaults to 7 deg.

--summary
    Causes a product summary to be output to the console.

--target <lat> <lon>
    The center target destination around which suitable HLZs are identified. This can be omitted if an input DEM file is provided, in which case the center of the DEM is the target.

--threads <n>
    Number of threads. Defaults to use single core. For engineering/debug purposes.

--values <bad marg good ret>
    Specifies the pixel values (0-255) for the output product corresponding to bad, marginal, and good landing zones, respectively, with the fourth value representing the reticle value. Defaults to bad=0 (null), marg=1, , good=2, and reticle is highlighted with 3.

-K  specify individual keywords to add to the preferences keyword list: name=value

-P  specify a preference file to load

-T  specify the classes to trace, ex: ossimInit|ossimImage.* will trace ossimInit and all ossimImage classes

Finds acceptable helicopter landing zones given terrain data and LZ criteria. The output is an 8-bit, single band, raster image. Options exist for customizing the output pixel values including an option to generate a color raster with the use of a look-up table.

EXAMPLES

    ossim-hlz [options] --roi 5000 --rlz 25 --target 25.5000 -80.000 output-hlz.tif ossim-hlz [options] --dem mydata.hgt --rlz 25 output-hlz.tif

SEE ALSO
The full documentation for ossim-hlz is maintained as a Texinfo manual. If the info and ossim-hlz programs are properly installed at your site, the command

    info ossim-hlz

should give you access to the complete manual.